{% extends 'store/base.html' %}
{% load static %}
{% block content %}
    <div class="row">
		<div class="col-lg-2"></div>
        <div class="col-lg-8">
            <div class="box-element">
                <a  class="btn btn-outline-dark" href="{% url 'display-store' %}">&#x2190; Continue Shopping</a>
				<br>
				<br>
				<table class="table">
					<tr>
						<th><h5>Items: <strong>{{ cart.get_total_items }}</strong></h5></th>
						<th><h5>Total: <strong>₹ {{ cart.get_total_amount }}</strong></h5></th>
						<th>
							{% if cart.get_total_items > 0 %}
								<a  style="float:right; margin:5px;" class="btn btn-success" href="{% url 'checkout' cart.id %}">Checkout</a>
							{% endif %}
						</th>
					</tr>
				</table>
            </div>
            <br>
			<div class="box-element">
				<div class="cart-row">
					<div style="flex:2"></div>
					<div style="flex:2"><strong>Items</strong></div>
					<div style="flex:1"><strong>Price</strong></div>
					<div style="flex:1"><strong>Quantity</strong></div>
					<div style="flex:1"><strong>Total</strong></div>
				</div>

                {% for item in cart_items %}
				    <div class="cart-row">
                        <div style="flex:2"><img class="row-image" src="{{ item.product.imageURL }}"></div>
                        <div style="flex:2"><p>{{ item.product.product_name }}</p></div>
                        <div style="flex:1"><p>₹ {{ item.product.price }}</p></div>
                        <div style="flex:1">
                            <p class="quantity">{{ item.product_no }}</p>
                            <div class="quantity">
								<a data-product={{ item.product.id }} data-action="add" class="update-cart" style="color: black" href="#">[+]</a> / <a data-product={{ item.product.id }} data-action="remove" class="update-cart" style="color: black" href="#">[-]</a>
                            </div>
                        </div>
                        <div style="flex:1"><p>₹ {{ item.get_product_total }}</p></div>
				    </div>
                {% endfor %}

			</div>
        </div>
		<div class="col-lg-2"></div>
    </div>
{% endblock content %}